//
//  Weeek3AppDelegate.m
//  Weeek3
//
//  Created by Ay on 2008/9/17.
//  Copyright NA 2008. All rights reserved.
//

#import "Weeek3AppDelegate.h"
#import "EAGLView.h"

@implementation Weeek3AppDelegate

@synthesize window;
@synthesize glView;
@synthesize label;

- (void)applicationDidFinishLaunching:(UIApplication *)application {
	NSLog(@"DidDinish");
	glView.animationInterval = 1.0 / 60.0;
	
	animationInterval = 1.0/60.0;
	animationTimer = [NSTimer scheduledTimerWithTimeInterval:animationInterval target:self selector:@selector(getScores) userInfo:nil repeats:YES];
	[glView startAnimation];
	
}

-(void)getScores{
	label.text = [NSString stringWithFormat:@"%d",glView.scores];
}

- (void)applicationWillResignActive:(UIApplication *)application {
	NSLog(@"ResignActive");
	glView.animationInterval = 1.0 / 5.0;
}


- (void)applicationDidBecomeActive:(UIApplication *)application {
	NSLog(@"DidBecomeActive");
	glView.animationInterval = 1.0 / 60.0;
}

- (void)dealloc {
	[window release];
	[glView release];
	[super dealloc];
}

@end
